
Ryzom - Bug # 888

Status: Closed Priority: High
Author: ThibG Category: NeL: General
Created: 05/12/2010 Assignee: kervala
Updated: 05/28/2010 Due date:
Subject: CSString::find and CSString::findNS broken
Description

As this (and similar) warning report, CSString::find is broken.
"code/ryzom/common/src/game_share/server_animation_module.cpp:1013: warning: comparison is always true due to limited range
of data type"

CSString::find returns an unsigned where string::find returns a size_t. size_t is far larger than unsigned, and string::npos doesn't fit in
an unsigned int.

History
#1 - 05/12/2010 11:08 am - kervala
- Status changed from New to Assigned
- Assignee set to kervala
- Priority changed from Normal to High

Thanks for reporting this bug :)

Most of old code is casting size_t to uint... We already changed a lot of these parts, but there is still so much to do :)

#2 - 05/12/2010 11:14 am - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r103.

#3 - 05/12/2010 11:15 am - kervala
- Target version set to Version 0.8.0

#4 - 05/28/2010 05:23 pm - vl
- Status changed from Resolved to Closed
